www.cendio.com
Bug 5794 - Missing documentation for a few client parameters
: Missing documentation for a few client parameters
Status: CLOSED FIXED
: ThinLinc
Documentation
: trunk
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2016-02-08 15:55 by
Modified: 2017-03-20 16:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2016-02-08 15:55:31
Follow up on bug 5793. There's a few client configuration parameters which are
not found in the TAG:

$ grep varname client.xml | sed 's|<varname>||g' | sed 's|</varname>||g' | tr
-d ' ' | sort | uniq > ~/a
$ cbrun x86_64 make etc/tlclient.conf
$ cut -d= -f1 etc/tlclient.conf | sort > ~/b
$ diff -bU 0 a b | grep -v ^@@
--- a    2016-02-08 15:53:26.577382712 +0100
+++ b    2016-02-08 15:53:50.696977380 +0100
-
-ALSA
-AUTO
-card_label
-issuer_*
-KILL_EXISTING_SESSIONS
-LANG
-LANGUAGE
-LC_ALL
-LC_MESSAGES
+LOGIN_NAME
+NFS_EXPORTS
+NFS_ROOT_WARNING
+NFS_SERVER_ENABLED
-OSS
-pin_label
+PRINTER_ENABLED
+PRINTER_SELECTION
-PULSE
+SERIAL1_DAEMON_DEVICE
+SERIAL1_PORT_ENABLED
+SERIAL2_DAEMON_DEVICE
+SERIAL2_PORT_ENABLED
+SERIAL_PORTS_ENABLED
+SERVER_NAME
+SHADOWING_ENABLED
-SMARTCARD_FILTER_n
+SMARTCARD_EXPORT_ENABLED
+SSH_COMPRESSION
-subject_*
-USE_SSH_COMPRESSION

Some of these are false hits, such as pin_label. However, PRINTER_ENABLED is
one example of an missing parameter. Also note the confusion about
SSH_COMPRESSION vs USE_SSH_COMPRESSION.
------- Comment #1 From cendio 2016-08-15 14:18:33 -------
I ran tlclient with debug and got following list of missing params documented
in the tag:

LANG
LANGUAGE
LC_ALL
LC_MESSAGES
LOGIN_NAME
PRINTER_ENABLED
PRINTER_SELECTION
SERIAL1_DAEMON_DEVICE
SERIAL1_PORT_ENABLED
SERIAL2_DAEMON_DEVICE
SERIAL_2_PORT_ENABLED
SERIAL_PORTS_ENABLED
SERVER_NAME
SHADOW_NAME
SHADOWING_ENABLED
SMARTCARD_EXPORT_ENABLED
SSH_COMPRESSION
WINDOWSINSTALLER
LINUXINSTALLER
DEFAULTINSTALLER
OKVERSIONS

Also the parameters documented in TAG are not consistently ordered, seems to
first be ordered by name and then a few params are grouped in sequence (but
only sometimes)
------- Comment #6 From cendio 2016-11-17 14:01:52 -------
(In reply to comment #1)
> LANG
> LANGUAGE
> LC_ALL
> LC_MESSAGES

These aren't client configuration parameters.

> LOGIN_NAME
> PRINTER_ENABLED
> PRINTER_SELECTION
> SERIAL1_DAEMON_DEVICE
> SERIAL1_PORT_ENABLED
> SERIAL2_DAEMON_DEVICE
> SERIAL_2_PORT_ENABLED
> SERIAL_PORTS_ENABLED
> SERVER_NAME
> SHADOW_NAME
> SHADOWING_ENABLED
> SMARTCARD_EXPORT_ENABLED
> SSH_COMPRESSION

Fixed in r31874.

> WINDOWSINSTALLER
> LINUXINSTALLER
> DEFAULTINSTALLER
> OKVERSIONS

These are documented elsewhere:

https://www.cendio.com/resources/docs/tag-devel/html/client_advanced_topics.html#id2764030

> Also the parameters documented in TAG are not consistently ordered, seems to
> first be ordered by name and then a few params are grouped in sequence (but
> only sometimes)

Fixed in r31868.
------- Comment #7 From cendio 2016-11-18 15:35:36 -------
Local drive settings (NFS_*) are still not documented.
------- Comment #9 From cendio 2016-11-21 16:18:14 -------
(In reply to comment #7)
> Local drive settings (NFS_*) are still not documented.

Fixed in r31886.
------- Comment #10 From cendio 2016-11-22 09:01:07 -------
(In reply to comment #9)
> (In reply to comment #7)
> > Local drive settings (NFS_*) are still not documented.
> 
> Fixed in r31886.

Fine now.